Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFRenderingContext

    java.lang.Object
      org.apache.fop.render.AbstractRenderingContext
          org.apache.fop.render.pdf.PDFRenderingContext

All Implemented Interfaces:
  RenderingContext

    public class PDFRenderingContext

extends AbstractRenderingContext

Rendering context for PDF production.

Constructor Summary
`PDFRenderingContext(FOUserAgent userAgent, PDFContentGenerator generator, PDFPage page, FontInfo fontInfo)` Main constructor.

Method Summary
`PDFStructElem` | `getCurrentSessionStructElem()`
`FontInfo` | `getFontInfo()` Returns the font list.
`PDFContentGenerator` | `getGenerator()` Returns the PDF content generator.
`java.lang.String` | `getMimeType()` Returns the MIME type associated with the current output format.
`PDFPage` | `getPage()` Returns the current PDF page.
`java.util.Map<java.lang.Integer,PDFArray>` | `getPageNumbers()`
`PDFLogicalStructureHandler` | `getPdfLogicalStructureHandler()`
`void` | `setCurrentSessionStructElem(PDFStructElem currentSessionStructElem)`
`void` | `setPageNumbers(java.util.Map<java.lang.Integer,PDFArray> pageNumbers)`
`void` | `setPdfLogicalStructureHandler(PDFLogicalStructureHandler pdfLogicalStructureHandler)`

Methods inherited from class org.apache.fop.render.AbstractRenderingContext
`getHint, getHints, getUserAgent, putHint, putHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFRenderingContext

    public PDFRenderingContext(FOUserAgent userAgent,
                               PDFContentGenerator generator,
                               PDFPage page,
                               FontInfo fontInfo)

  Main constructor.

  Parameters:
    `userAgent` - the user agent
    `generator` - the PDF content generator
    `page` - the current PDF page
    `fontInfo` - the font list

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type associated with the current output format.

  Returns:
    the MIME type (ex. application/pdf)

### getGenerator

    public PDFContentGenerator getGenerator()

  Returns the PDF content generator.

  Returns:
    the PDF content generator

### getPage

    public PDFPage getPage()

  Returns the current PDF page.

  Returns:
    the PDF page

### getFontInfo

    public FontInfo getFontInfo()

  Returns the font list.

  Returns:
    the font list

### getPageNumbers

    public java.util.Map<java.lang.Integer,PDFArray> getPageNumbers()

### setPageNumbers

    public void setPageNumbers(java.util.Map<java.lang.Integer,PDFArray> pageNumbers)

### getPdfLogicalStructureHandler

    public PDFLogicalStructureHandler getPdfLogicalStructureHandler()

### setPdfLogicalStructureHandler

    public void setPdfLogicalStructureHandler(PDFLogicalStructureHandler pdfLogicalStructureHandler)

### getCurrentSessionStructElem

    public PDFStructElem getCurrentSessionStructElem()

### setCurrentSessionStructElem

    public void setCurrentSessionStructElem(PDFStructElem currentSessionStructElem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.